Subject: Lepidopterists' Society

From: "Charles V. Covell Jr." <[email-masked]>
Date: Thu, 10 Aug 1995 11:43:39 EDT

Dept. of Biology, Univ. of Louisville, Louisville, KY 40292
PHONE: (502) 852-6771

If any of you are not yet members of the Lepidopterists' Society,
I invite you to join.  Please send me a SASE at the address below,
and I will send you an application and, if you wish, sample pages
of our NEWS and JOURNAL.  Also, the next annual meeting will be
in Houston, TX on June 21-23, 1996.  We are already planning a
big international congress meeting at Yale Univ., first home of the
Society, for July, 1997 - the 50th Anniversary of the Lepid. Soc.

Please e-mail me if you wish further information.  Thanks.  Charlie

Charles V. Covell Jr.   [email-masked]
Dept. of Biology, University of Louisville
Louisville, KY 40292-0001   PHONE: (502) 852-6771 (office)
(502) 852-0725 (FAX); (502) 456-6122 (home).  "So many bugs..."